chromium 安装 flash

使用Ubuntu是可以使用Flash, 刚刚切换到Debian 9 , 想在Chromium下安装Flash.
尝试了以下方法(省略添加源的步骤)均不成功:

  1. Debian官方Wiki
    首先是安装Adobe-flash
apt-get install flashplugin-nonfree
update-flashplugin-nonfree --install

在’chrome://settings/content’中把flash默认开启.
但还是不行, 显示out of date, 点击update, 跳到一个google帮助页面,
给了个’‘chrome://components/’'的地址让检查更新flash, 但是页面根本找不到flash.

然后看到Debian wiki, Adobe-flash页面上写着, “Unsupported browsers: Chromium"
再找到PepperFlashPlayer支持Chromium, 然而又看到"not supported by Debian”

  1. Google吧, 查到superuser
apt-get install deb-multimedia-keyring
apt-get install flashplayer-chromium

还是显示out of date
值得一提的是安装了flashplayer-mozilla, firefox却成功了

  1. 去flash官网下载.tar.gz文件, 当准备放到’/usr/lib/adobe-flashplugin’目录下时却发现已经有一模一样的文件了

  2. 测试下flash的版本, 显示是

YOUR SYSTEM INFORMATION
Your Flash Version	
11.2.999
Your browser name	
Google Chrome
Your Operating System (OS)	
Linux

在 /usr/lib/adobe-flashplugin下cat manifest.json

{
    "description": "Pepper Flash Player",
    "name": "Flapper",
    "version": "26.0.0.151",

是不是我安装的flash没被检查到使用上? 如何正确的更新呢?

补充一个方法Chromium 34 and later cannot detect flash plugin:
sudo update-flashplugin-nonfree --status

Flash Player version installed on this system  :
Flash Player version available on upstream site: 26.0.0.151
flash-mozilla.so - auto mode
  link best version is /usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so
  link currently points to /usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so
  link flash-mozilla.so is /usr/lib/mozilla/plugins/flash-mozilla.so
/usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so - priority 70

sudo update-flashplugin-nonfree --install

--2017-08-22 15:12:28--  https://fpdownload.adobe.com/get/flashplayer/pdc/24.0.0.186/flash_player_npapi_linux.x86_64.tar.gz
Resolving fpdownload.adobe.com (fpdownload.adobe.com)... 23.196.195.153
Connecting to fpdownload.adobe.com (fpdownload.adobe.com)|23.196.195.153|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2017-08-22 15:12:30 ERROR 404: Not Found.

ERROR: wget failed to download https://fpdownload.adobe.com/get/flashplayer/pdc/24.0.0.186/flash_player_npapi_linux.x86_64.tar.gz
More information might be available at:
  http://wiki.debian.org/FlashPlayer

可以通过下面的命令来给chromium安装flash

apt install pepperflashplugin-nonfre
1 个赞

暂时安装google-chrome了, 自带就有.

其实应该已经安装上了, 但是chromium没有正确得应用上